LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-24-2005, 01:31 AM   #1
MRLindstrom
LQ Newbie
 
Registered: Jan 2005
Distribution: Gentoox
Posts: 1

Rep: Reputation: 0
GTK Compile Problem


I can't seem to get GTK to compile... it keeps blurting out this...

Quote:
configure: error: Library requirements (glib-2.0 >= 2.6.0 atk >= 1.0.1 pango >= 1.7.0) not met: consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.
I've download and run a "./configure && make && make install" on every sing one of those packages and can get nothing. I've also done an ldconfig.
 
Old 01-24-2005, 01:44 AM   #2
__J
Senior Member
 
Registered: Dec 2004
Distribution: Slackware, ROCK
Posts: 1,973

Rep: Reputation: 46
you installed them to /usr/local where pkg-config will not find the .pc files.

export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH

rerun configure

make sure you built pango with xft support or you will have to do it again
 
Old 01-24-2005, 02:30 AM   #3
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 76
You need to upgrade pango, atk, glib and gtk in that order to the minimum versions required or newer. To save yourself problems, you may wish to install them in the /usr prefix coz if you need to upgrade them using rpms in the near future, you may have problems on your sytem if you also have copies of the same packages in /usr/local.

Last edited by reddazz; 01-24-2005 at 02:31 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
gtk+ 2.8.4 compile problem bad_zeppelin Linux - Software 3 09-30-2005 10:29 PM
GTK compile problems AnimaSola Linux - Software 13 07-14-2004 07:30 PM
gtk+2.4.4 compile problems AnimaSola Linux - Software 0 07-13-2004 08:49 PM
Can't compile gtk+ programs =\ EnigmaX Linux - Software 19 09-17-2003 05:41 PM
GTK 2.2 Compile? Allen614 Slackware 2 01-05-2003 10:07 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 07:06 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration